Bug 1006687 - cannot assign bundles to bundle group
cannot assign bundles to bundle group
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Provisioning (Show other bugs)
JON 3.2
Unspecified Unspecified
urgent Severity high
: ER02
: JON 3.2.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On: 1006577 1014593
Blocks: jon32-Beta-Blockers-1006862 1012435
  Show dependency treegraph
 
Reported: 2013-09-11 02:11 EDT by Heiko W. Rupp
Modified: 2014-01-02 15:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1006577
Environment:
Last Closed: 2014-01-02 15:34:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2013-09-11 02:11:00 EDT
+++ This bug was initially created as a clone of Bug #1006577 +++

The "assign to bundles in bundle group" permission is broken.

Create a role that has the bundle group permission "assigned to bundles in group", associate that role with a bundle group and and associate the role to a user.

Create a bundle and put it in some other bundle group (or unassigned - that would probably be ok too).

Log in as the user and try to assign the bundle to the bundle group with "assigned to bundles in group" permission enabled.

There is no way to assign it, something is wrong.

--- Additional comment from John Mazzitelli on 2013-09-10 17:02:56 EDT ---

note, you can assign bundles to bundle groups but only if you have the global permission to do so.
Comment 2 Jay Shaughnessy 2013-09-16 10:15:19 EDT
master commit 741da74f13e3b348eb483fc3c9b3641eb14eb494
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Sep 11 16:25:44 2013 -0400
Comment 3 Armine Hovsepyan 2013-10-09 07:28:04 EDT
verified
please see bug #1006577

Note You need to log in before you can comment on or make changes to this bug.